Subject: CRD: Last Dance with Mary Jane (Tom Petty)
From: [email-masked] (Mike Hall)
Date: 15 Mar 1994 01:46:37 GMT

Last Dance With Mary Jane
=========================
By: Tom Petty

Intro:  Am (hammer on index finger)  G    D   Am

Am                G    
She grew up in an Indiana town
      D                     Am
Had a good lookin' momma who never was around
       Am                    G
But she grew up tall and she grew up right
          D                  Am
With them Indiana boys on an Indiana night

Well she moved down here at the age of 18
She blew the boys away, it was more than they'd seen
I was introduced and we both started groovin'
She said, "I dig you baby but I got to keep movin'"
...on, keep movin' on

Chorus:
D                  
Last dance with Mary Jane
                                A
One more time to kill the flame 
D   
I feel summer creepin' in and I'm
                          A
Tired of this town again 

Am |  G |||   D |||  Am |   (try "|" for strumming method)

Well I don't know but I've been told
You never slow down, you never grow old
I'm tired of screwing up, I'm tired of bein' down
I'm tire of myself, I'm tired of this town
Oh my my, oh hell yes
Honey put on that party dress
Buy me a drink, sing me a song,
Take me as I come 'cause I can't stay long

Repeat chorus:

There's pidgeons down in Market Square
She's standin' in her underwear
Lookin' down from a hotel room
Nightfall will be comin' soon
Oh my my, oh hell yes
You've got to put on that party dress
It was too cold to cry when I woke up alone
I hit the last number, I walked to the road   (???)

Repeat chorus and fade:

----------------------------------------
Comments are appreciated...
 ////////////////////////////////////////////////////////////////////////
 //   Mike A. Hall           //   "If I don't die by Thursday,         //
 //   [email-masked]  //      I'll be roarin' Friday night."    //
 //   University of Georgia  //                 --Jimmy Buffett        //
 ////////////////////////////////////////////////////////////////////////